/*
 * Minecraft Forge
 * Copyright (c) 2016-2019.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation version 2.1
 * of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package net.minecraftforge.common.data;

import net.minecraft.data.DataGenerator;
import net.minecraft.block.Blocks;
import net.minecraft.data.BlockTagsProvider;

import static net.minecraftforge.common.Tags.Blocks.*;

public class ForgeBlockTagsProvider extends BlockTagsProvider
{
    public ForgeBlockTagsProvider(DataGenerator gen)
    {
        super(gen);
    }

    @Override
    public void func_200432_c()
    {
        func_200426_a(CHESTS).add(CHESTS_ENDER, CHESTS_TRAPPED, CHESTS_WOODEN);
        func_200426_a(CHESTS_ENDER).func_200048_a(Blocks.field_150477_bB);
        func_200426_a(CHESTS_TRAPPED).func_200048_a(Blocks.field_150447_bR);
        func_200426_a(CHESTS_WOODEN).func_200573_a(Blocks.field_150486_ae, Blocks.field_150447_bR);
        func_200426_a(COBBLESTONE).func_200573_a(Blocks.field_150347_e, Blocks.field_196687_dd, Blocks.field_150341_Y);
        func_200426_a(DIRT).func_200573_a(Blocks.field_150346_d, Blocks.field_196660_k, Blocks.field_196661_l);
        func_200426_a(FENCE_GATES).func_200574_a(FENCE_GATES_WOODEN);
        func_200426_a(FENCE_GATES_WOODEN).func_200573_a(Blocks.field_180390_bo, Blocks.field_180391_bp, Blocks.field_180392_bq, Blocks.field_180386_br, Blocks.field_180387_bt, Blocks.field_180385_bs);
        func_200426_a(FENCES).add(FENCES_NETHER_BRICK, FENCES_WOODEN);
        func_200426_a(FENCES_NETHER_BRICK).func_200048_a(Blocks.field_150386_bk);
        func_200426_a(FENCES_WOODEN).func_200573_a(Blocks.field_180407_aO, Blocks.field_180408_aP, Blocks.field_180404_aQ, Blocks.field_180403_aR, Blocks.field_180405_aT, Blocks.field_180406_aS);
        func_200426_a(ORES).add(ORES_COAL, ORES_DIAMOND, ORES_EMERALD, ORES_GOLD, ORES_IRON, ORES_LAPIS, ORES_REDSTONE, ORES_QUARTZ);
        func_200426_a(ORES_COAL).func_200048_a(Blocks.field_150365_q);
        func_200426_a(ORES_DIAMOND).func_200048_a(Blocks.field_150482_ag);
        func_200426_a(ORES_EMERALD).func_200048_a(Blocks.field_150412_bA);
        func_200426_a(ORES_GOLD).func_200048_a(Blocks.field_150352_o);
        func_200426_a(ORES_IRON).func_200048_a(Blocks.field_150366_p);
        func_200426_a(ORES_LAPIS).func_200048_a(Blocks.field_150369_x);
        func_200426_a(ORES_QUARTZ).func_200048_a(Blocks.field_196766_fg);
        func_200426_a(ORES_REDSTONE).func_200048_a(Blocks.field_150450_ax);
        func_200426_a(STONE).func_200573_a(Blocks.field_196656_g, Blocks.field_196654_e, Blocks.field_196650_c, Blocks.field_196686_dc, Blocks.field_150348_b, Blocks.field_196657_h, Blocks.field_196655_f, Blocks.field_196652_d);
        func_200426_a(STORAGE_BLOCKS).add(STORAGE_BLOCKS_COAL, STORAGE_BLOCKS_DIAMOND, STORAGE_BLOCKS_EMERALD, STORAGE_BLOCKS_GOLD, STORAGE_BLOCKS_IRON, STORAGE_BLOCKS_LAPIS, STORAGE_BLOCKS_QUARTZ, STORAGE_BLOCKS_REDSTONE);
        func_200426_a(STORAGE_BLOCKS_COAL).func_200048_a(Blocks.field_150402_ci);
        func_200426_a(STORAGE_BLOCKS_DIAMOND).func_200048_a(Blocks.field_150484_ah);
        func_200426_a(STORAGE_BLOCKS_EMERALD).func_200048_a(Blocks.field_150475_bE);
        func_200426_a(STORAGE_BLOCKS_GOLD).func_200048_a(Blocks.field_150340_R);
        func_200426_a(STORAGE_BLOCKS_IRON).func_200048_a(Blocks.field_150339_S);
        func_200426_a(STORAGE_BLOCKS_LAPIS).func_200048_a(Blocks.field_150368_y);
        func_200426_a(STORAGE_BLOCKS_QUARTZ).func_200048_a(Blocks.field_150371_ca);
        func_200426_a(STORAGE_BLOCKS_REDSTONE).func_200048_a(Blocks.field_150451_bX);
    }

    @Override
    public String func_200397_b()
    {
        return "Forge Block Tags";
    }
}
